#
# spec file for package kshutdown
#
# Copyright (c) 2010 Lubos Lunak <llunak@novell.com>
# Copyright (c) 2011 Buschmann <buschmann23@opensuse.org>
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:             kshutdown
Version:          4.0
Release:          1.1
Summary:          Graphical shutdown utility
License:          GPL-2.0+
Url:              http://kshutdown.sourceforge.net/
Group:            System/GUI/KDE
Source0:          http://downloads.sourceforge.net/%{name}/KShutdown/%{version}/%{name}-source-%{version}.zip
# PATCH-FIX-UPSTREAM - kshutdown-src_kshutdown.desktop.patch -- Fix Categories and uncomment some entries
Patch0:           %{name}-src_kshutdown.desktop.patch
Requires(post):   hicolor-icon-theme
Requires(post):   update-desktop-files
Requires(postun): hicolor-icon-theme
Requires(postun): update-desktop-files
BuildRequires:    cmake(KF5Config)
BuildRequires:    cmake(KF5ConfigWidgets)
BuildRequires:    cmake(KF5DBusAddons)
BuildRequires:    cmake(KF5GlobalAccel)
BuildRequires:    cmake(KF5I18n)
BuildRequires:    cmake(KF5IdleTime)
BuildRequires:    cmake(KF5Notifications)
BuildRequires:    cmake(KF5NotifyConfig)
BuildRequires:    cmake(KF5XmlGui)
BuildRequires:    pkgconfig(Qt5Core)
BuildRequires:    pkgconfig(Qt5DBus)
BuildRequires:    pkgconfig(Qt5Gui)
BuildRequires:    pkgconfig(Qt5Widgets)
BuildRequires:    unzip
BuildRoot:        %{_tmppath}/%{name}-%{version}-build

%description
KShutdown is an advanced graphical shutdown utility.

Features:

- Turn Off Computer (logout and halt the system)
- Restart Computer (logout and reboot the system)
- Hibernate to disk or Suspend
- Lock Screen (lock the screen using a screen saver)
- End Current Session (end the current KDE session and logout the user)
- Various time and delay options (time from now, inactivity detection, ...)
- Command line support
- Extras (external user commands)
- System tray and panel applet
- Visual and sound notifications
- Simple, easy-to-use User Interface
- Works with many Desktop Environments

%prep
%setup -q
%patch0

%build
%cmake_kf5 -d build -- -DKS_KF5=ON
%make_jobs

%install
%kf5_makeinstall -C build

%suse_update_desktop_file %{name}

# Remove not needed files
find %{buildroot}%{_kf5_sharedir}/%{name} -name '.directory' -exec rm -f {} ';'

%find_lang %{name}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog LICENSE TODO
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_notifydir}/%{name}.notifyrc
%dir %{_kf5_sharedir}/%{name}
%dir %{_kf5_sharedir}/%{name}/extras
%dir %{_kf5_sharedir}/%{name}/extras/multimedia
%{_kf5_sharedir}/%{name}/extras/multimedia/kaffeine.desktop
%{_kf5_sharedir}/%{name}/extras/multimedia/kscd.desktop
%{_kf5_sharedir}/%{name}/extras/multimedia/juk.desktop
%{_kf5_sharedir}/%{name}/extras/multimedia/vlc.desktop
%{_kf5_sharedir}/%{name}/extras/multimedia/tvtime.desktop
%{_kf5_sharedir}/%{name}/extras/multimedia/xmms.desktop
%{_kf5_sharedir}/%{name}/extras/multimedia/amarok.desktop
%{_kf5_sharedir}/%{name}/extras/multimedia/mplayer.desktop
%dir %{_kf5_sharedir}/%{name}/extras/system
%{_kf5_sharedir}/%{name}/extras/system/kppp.desktop
%{_kf5_iconsdir}/hicolor/*/actions/%{name}.png

%changelog
* Thu Sep  1 2016 joerg.lorenzen@ki.tng.de
- Update to version 4.0
  Qt Build:
  * NEW: Use the standard Ctrl+Q shortcut instead of Ctrl+Shift+Q
    (bug #26)
  * Fixed: Support "--version" command line option (bug #26)
  * Command Line: Ignore "/?" option in non-Windows versions
  * Fixed: Honor $INSTALL_ROOT environment variable when installing
    icons (bug #25)
  * Fixed: Remove icons during "make uninstall"
  Misc:
  * Czech translation update (Pavel Fric)
  * Updated German translation (Vinzenz Vietzke)
  * Updated Russian translations (Victor Ryzhykh)
  * Updated Polish translation
  * Fixed: Make menu titles less distractive and less annoying
    (feature request #21)
  * Fixed: Disable incorrectly positioned tool tips in System Tray
    menu
  * Windows: Updated installer
  Linux:
  * Use uncompressed SVG icon (bug #21)
  * Adjust kshutdown.desktop (patch #5):
  - Added StartupNotify=true/false
  - Added X-SuSE-DesktopUtility category
  Source:
  * Fix compiler warnings
  * README.html: Document "Required Libraries" (bug #23)
- Fixed kshutdown-src_kshutdown.desktop.patch
* Tue Jul  5 2016 kamikazow@web.de
- Don't run as root by default
- Tweak spec file slyghtly as KShutdown is not only for KDE
* Tue May 24 2016 nemysis@openSUSE.org
- Update to 3.99.1beta, please see
  /usr/share/doc/packages/kshutdown/ChangeLog
- Use %%{oversion} instead of 3.99.1%%20Beta
- Change Summary, remove Name
- Change Group
- Change Source0 to use Web URL
- Add patch - kshutdown-src_kshutdown.desktop.patch
- Add BuildRequires, changed by Upstream for Qt5
- Change Description
- Remove check %%if 0%%{?suse_version}, because is only for openSUSE
- Remove check for obsolete openSUSE version
- Unpack and remove gzipped-svg-icon
  Sun Feb 23 23:16:07 UTC 2014 - markus.s [AT] kdemail [dotNET]
- Update to 3.2:
  * Czech translation update
  * Updated the Polish translation
  * Fixed language translations in some common UI elements
  * Minor User Inteface tweaks
  * Fixed: Disable "OK" button if new password is invalid
  * NEW: Simple password protection
    (see menu bar -> Preferences -> Password tab)
  * Updated README.html
  * Updated the Spanish translation (by moray33)
  * Updated the Polish translation
  * Qt Build: Allow logout from KDE 4
  * NEW: "Test" action:
  - Renamed to "Show Message"
  - Configurable text
  * NEW: Removed "kworkspace" library dependency
    (libkworkspace is no longer required to build KShutdown for KDE)
  * Enable C++11 support
  * cppcheck tool support (./tools/cppcheck.sh)
  Linux:
  * NEW: systemd/logind support (Power Off, Reboot, Hibernate, Suspend)
  * NEW: Added basic Cinnamon Desktop Environment support
  * GNOME 3: Fixed detection and logout action
  * Windows: Fixed compilation errors
* Tue Jul  9 2013 fisiu@opensuse.org
- Update to 3.0:
  * Updated Czech translation
  * Updated Simplified Chinese translation (by xStone)
  * Bookmarks menu: Mark the current/selected bookmark
* Wed Jun 19 2013 fisiu@opensuse.org
- Update to 3.0beta8:
  * NEW: Bookmarks menu
  * Linux: Fixed bug #19 - kshutdown refusing to do shutdown
    (incomatibility with systems w/o ConsoleKit installed)
  * Updated Polish and Czech translation
* Thu Apr 11 2013 lnt-sysadmin@lists.lrz.de
- Version 3.0beta7:
  * Fixes idle timeout bug and others
* Fri Mar 16 2012 alinm.elena@gmail.com
- Version 3.0
* Sat Apr 30 2011 asterios.dramis@gmail.com
- Version 2.0:
  Linux:
  * Support for the UPower suspend/hibernate backend (patch #3224666).
  * Updated D-Bus Documentation.
  Misc.:
  Updated Brazilian Portuguese, Danish, Polish, Russian Language Translations.
- Spec file updates:
  * Changed License: to GPLv2+.
  * Updated Summary: and %%description.
  * Changed Group: to Productivity/Other.
  * Changed desktop file Category to "Utility;DesktopUtility".
* Thu Feb 17 2011 asterios.dramis@gmail.com
- Version 1.95.12 (2.0beta12):
  Linux:
  * NEW: Added D-Bus support. Run "qdbus net.sf.kshutdown /kshutdown" for
    details.
  * Fixed bug #3140645 (kde 4.6 + qt 4.7.1 + kshutdown crash)
  * Setup.sh: Auto select kde4 menu item (if available)
  * Show error message if "Turn Off Computer" or "Restart Computer" function
    is not available or disabled in KDE System Settings.
  * Fixed error in "When selected application exit" function caused by zombie
    programs
  Command Line:
  * NEW: Added "--cancel" command line option to stop an active action (KDE 4
    only)
  * NEW: Added "--confirm" option to confirm a command line action
  * NEW: Added -i and --inactivity command line options (RFE #3052626, Command
    Line Inactivity Timer)
  Misc.:
  * Updated Brazilian Portuguese translation
  * Updated Polish translation
  * Updated Slovak translation
  * Better icon size in system tray
- Spec file updates:
  - Changes based on rpmdevtools templates and spec-cleaner run.
  - Updates in Url:, %%description, Buildrequires: and %%install sections.
* Tue Jan 18 2011 buschmann23@opensuse.org - 1.95.11
- fixed file list for openSUSE Factory (11.4+)
* Wed Jan  5 2011 buschmann23@opensuse.org - 1.95.11
- bumped version to 1.95.11 (2.0beta11)
* Wed Jan  5 2011 buschmann23@opensuse.org - 1.95
- Version 1.95 (2.0beta11)
* Mon Jul 26 2010 llunak@novell.com
- Version 1.95 (2.0beta10)
* Mon Mar 15 2010 llunak@novell.com
- Version 1.94 (2.0beta9)
* Wed Sep 30 2009 llunak@novell.com
- Version 1.93 (2.0beta8)
* Mon Aug 10 2009 llunak@suse.cz
- Version 1.92 (2.0beta7)
* Sun Jun 28 2009 llunak@novell.com
- Initial version 1.91 (2.0beta6)
